 /****************************************************************/
 /*          S A S   S A M P L E   L I B R A R Y                 */
 /*                                                              */
 /*    NAME: GINVALS                                             */
 /*   TITLE: GINVALS-Determining Values by Using the GINSIDE     */
 /*          PROCEDURE                                           */
 /* PRODUCT: GRAPH                                               */
 /*  SYSTEM: ALL                                                 */
 /*    PROC: GINSIDE                                             */
 /*    DATA: INTERNAL                                            */
 /*                                                              */
 /* SUPPORT: GRAPHICS STAFF              CREATED: 12OCT2012      */
 /*  UPDATE: 04AUG2022 - Changed sample name from GINSIDE2 to    */
 /*            GINVALS                                           */
 /*     REF: SAS/GRAPH AND BASE SAS MAPPING REFERENCE            */
 /****************************************************************/

/* Create the GPSCOUNTIES data set. */
data gpscounties;
  input longitude latitude site $;
  x=longitude*arcos(-1)/180;
  x=x*(-1);
  y=latitude*arcos(-1)/180;
datalines;
-77.0348 40.0454 a
-78.4437 39.1623 b
-78.4115 39.3751 c
-78.7646 40.6354 d
;
run;

/* Determine the values of STATE and COUNTY for each data point.
   Add the values to the created data set. */
proc ginside data=gpscounties map=mapssas.counties out=gpscounties;
  id state county;
run;

/* Sort and print the output data set. */
proc sort data=gpscounties;
  by site;
run;

proc print data=gpscounties;
  var site state county x y;
run;
quit;
