 /*+-------------------------------------------------------------+
   |          S A S   S A M P L E   L I B R A R Y                |
   |                                                             |
   |    NAME: GMPLEVEL                                           |
   |   TITLE: GMPLEVEL-Specifying Response Levels in a Block Map |
   |          Using Traditional Map Data                         |
   | PRODUCT: GRAPH                                              |
   |  SYSTEM: ALL                                                |
   |    KEYS: GRAPHICS MAPS GMAP PATTERN LEGEND                  |
   |   PROCS: GMAP                                               |
   |    DATA: INTERNAL                                           |
   |                                                             |
   | SUPPORT: GRAPHICS STAFF                                     |
   |  UPDATE: 04MAR2013                                          |
   |     REF: SAS/GRAPH AND BASE SAS MAPPING REFERENCE           |
   +-------------------------------------------------------------+*/

/* Set the graphics environment. */
goptions border;

/* Define the titles and color for the map. */
title1 "Gross National Income per Capita";
title2 "South America";
pattern1 value=msolid color=tan;

/* Produce the block map, which includes the Caribbean islands. */
proc gmap data=sashelp.demographics(where=(cont=92))
          map=mapssas.samerica all;
   id id;
   block gni / levels=3 shape=prism
               relzero cempty=gray;
run;
quit;

/* Reset the graphics environment. */
goptions reset=all;
