 /*+-------------------------------------------------------------+
   |          S A S   S A M P L E   L I B R A R Y                |
   |                                                             |
   |    NAME: GMPPRISM                                           |
   |   TITLE: GMPPRISM-Producing a Simple Prism Map Using        |
   |          Traditional Map Data                               |
   | PRODUCT: GRAPH                                              |
   |  SYSTEM: ALL                                                |
   |    KEYS: GRAPHICS MAPS GMAP PRISM                           |
   |   PROCS: GMAP                                               |
   |    DATA: INTERNAL                                           |
   |                                                             |
   | SUPPORT: GRAPHICS STAFF                                     |
   |  UPDATE: 12JUL2012                                          |
   |     REF: SAS/GRAPH AND BASE SAS MAPPING REFERENCE           |
   +-------------------------------------------------------------+*/

/* Set the graphics environment. */
goptions reset=all border device=png;

/* Define the title for the map. */
title1 "Population in Africa";

/* Identify lake regions in the map data set. */
data africa;
set mapssas.africa;
by id segment;
if first.id then lake=0;
if x=. then lake+1;
retain lake;
run;

/* Produce the prism map. */
proc gmap data=sashelp.demographics(where=(cont=94))
          map=africa(where=(lake=0)) density=low all;
   id id;
   prism pop / cdefault=yellow relzero;
run;
quit;

/* Reset the graphics environment. */
goptions reset=all;
