 /*+-------------------------------------------------------------+
   |          S A S   S A M P L E   L I B R A R Y                |
   |                                                             |
   |    NAME: GMPSIMPL                                           |
   |   TITLE: GMPSIMPL-Producing a Simple Block Map Using        | 
   |          Traditional Map Data                               |
   | PRODUCT: GRAPH                                              |
   |  SYSTEM: ALL                                                |
   |    KEYS: GRAPHICS MAPS GMAP PATTERN                         |
   |   PROCS: GMAP                                               |
   |    DATA: INTERNAL                                           |
   |                                                             |
   | SUPPORT: GRAPHICS STAFF                                     |
   |  UPDATE: 04MAR2013                                          |
   |     REF: SAS/GRAPH AND BASE SAS MAPPING REFERENCE GUIDE     |
   +-------------------------------------------------------------+*/

/* Set the graphics environment. */
goptions border;

/* Define the title and the color for the map. */
title1 "Population in Asia";
pattern1 value=msolid color=tan;

/* Produce the block map. */
proc gmap data=sashelp.demographics(where=(cont=95))
          map=mapssas.asia all;
   id id;
   block pop / blocksize=1 relzero;
run;
quit;

/* Reset the graphics environment. */
goptions reset=all;
