 /*+-------------------------------------------------------------+
   |          S A S   S A M P L E   L I B R A R Y                |
   |                                                             |
   |    NAME: GMPSURFA                                           |
   |   TITLE: GMPSURFA-Producing a Simple Surface Map Using      |
   |          Traditional Map Data                               |
   | PRODUCT: GRAPH                                              |
   |  SYSTEM: ALL                                                |
   |    KEYS: GRAPHICS MAPS GMAP                                 |
   |   PROCS: GMAP                                               |
   |    DATA: INTERNAL                                           |
   |                                                             |
   | SUPPORT: GRAPHICS STAFF                                     |
   |  UPDATE: 08MAR2013 - Switched map from Europe to South      |
   |            America                                          |
   |     REF: SAS/GRAPH AND BASE SAS MAPPING REFERENCE           |
   +-------------------------------------------------------------+*/

/* Set the graphics environment. */
goptions border;

/* Define the title for the map. */
title1 "Population Annual Growth Rate Percentage";
title2 "South America (1995-2005)";

/* Produce the surface map. */
proc gmap map=mapssas.samerica data=sashelp.demographics;
   id id;
   surface popagr;
run;
quit;

/* Reset the graphics environment. */
goptions reset=all;
