 /****************************************************************/
 /*          S A S   S A M P L E   L I B R A R Y                 */
 /*                                                              */
 /*    NAME: GRMGAFRI                                            */
 /*   TITLE: GRMGAFRI-Creating an Outline Map of Africa          */
 /*          PROCEDURE                                           */
 /* PRODUCT: GRAPH                                               */
 /*  SYSTEM: ALL                                                 */
 /*    PROC: GINSIDE                                             */
 /*    DATA: INTERNAL                                            */
 /*                                                              */
 /* SUPPORT: GRAPHICS STAFF              CREATED: 04AUG2022      */
 /*     REF: SAS/GRAPH AND BASE SAS MAPPING REFERENCE            */
 /****************************************************************/

/* Set the graphics environment */
goptions border;

/* Create the NEWAF data set. */
data newaf;
   set mapsgfk.africa;
   region=1;
run;

/* Remove the unit areas from the AFRICA data set. */
proc gremove data=newaf out=africa;
   by region;
   id id;
run;

/* Define the title. */
title "Africa with Boundaries";

/* Define pattern characteristics. */
pattern value=mempty color=blue;

/* Display the original map. */
proc gmap map=mapsgfk.africa data=mapsgfk.africa all;
   id id;
   choro segment / statistic=first nolegend levels=1;
run;
quit;

/* Define a new title for the map. */
title "Africa without Boundaries";

/* Display the map with no boundaries. */
proc gmap data=africa map=africa;
   id region;
   choro region / statistic=first nolegend levels=1;
run;
quit;

/* Reset the graphics environment. */
goptions reset=all;
